Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class DeflaterOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.util.zip.DeflaterOutputStream

Direct Known Subclasses:
  GZIPOutputStream, ZipOutputStream

public class DeflaterOutputStream
extends FilterOutputStream

This class implements an output stream filter for compressing data in the "deflate" compression format. It is also used as the basis for other types of compression filters, such as GZIPOutputStream.

See Also:
  `Deflater`

Field Summary
`protected byte[]` | `buf` Output buffer for writing compressed data.
`protected Deflater` | `def` Compressor for this stream.

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`DeflaterOutputStream(OutputStream out)` Creates a new output stream with a defaul compressor and buffer size.
`DeflaterOutputStream(OutputStream out, Deflater def)` Creates a new output stream with the specified compressor and a default buffer size.
`DeflaterOutputStream(OutputStream out, Deflater def, int size)` Creates a new output stream with the specified compressor and buffer size.

Method Summary
`void` | `close()` Writes remaining compressed data to the output stream and closes the underlying stream.
`protected void` | `deflate()` Writes next block of compressed data to the output stream.
`void` | `finish()` Finishes writing compressed data to the output stream without closing the underlying stream.
`void` | `write(byte[] b, int off, int len)` Writes an array of bytes to the compressed output stream.
`void` | `write(int b)` Writes a byte to the compressed output stream.

Methods inherited from class java.io.FilterOutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### def

    protected Deflater def

  Compressor for this stream.

### buf

    protected byte[] buf

  Output buffer for writing compressed data.

Constructor Detail

### DeflaterOutputStream

    public DeflaterOutputStream(OutputStream out,
                                Deflater def,
                                int size)

  Creates a new output stream with the specified compressor and buffer size.

Parameters:
  `out` - the output stream
  `def` - the compressor ("deflater")
  `size` - the output buffer size
Throws:
  `IllegalArgumentException` - if size is <= 0

### DeflaterOutputStream

    public DeflaterOutputStream(OutputStream out,
                                Deflater def)

  Creates a new output stream with the specified compressor and a default buffer size.

Parameters:
  `out` - the output stream
  `def` - the compressor ("deflater")

### DeflaterOutputStream

    public DeflaterOutputStream(OutputStream out)

  Creates a new output stream with a defaul compressor and buffer size.

Parameters:
  `out` - the output stream

Method Detail

### write

    public void write(int b)
               throws IOException

  Writes a byte to the compressed output stream. This method will block until the byte can be written.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - the byte to be written
  Throws:
    `IOException` - if an I/O error has occurred

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Writes an array of bytes to the compressed output stream. This method will block until all the bytes are written.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - the data to be written
    `off` - the start offset of the data
    `len` - the length of the data
  Throws:
    `IOException` - if an I/O error has occurred
  See Also:
    `FilterOutputStream.write(int)`

### finish

    public void finish()
                throws IOException

  Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

  Throws:
    `IOException` - if an I/O error has occurred

### close

    public void close()
               throws IOException

  Writes remaining compressed data to the output stream and closes the underlying stream.

  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException` - if an I/O error has occurred
  See Also:
    `FilterOutputStream.flush()`, `FilterOutputStream.out`

### deflate

    protected void deflate()
                    throws IOException

  Writes next block of compressed data to the output stream.

  Throws:
    `IOException` - if an I/O error has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.